# Create Address

<mark style="color:yellow;">`POST`</mark> `/api/v2/analytics/chains/{chain}/addresses/{address}`\
\
This endpoint provides multiple functionalities for managing wallet addresses:<br>

* Enable wallet address screening using alternative blockchain analytics providers. In this case, scan\_for\_risk must be set to "true", and provider\_name is required. Note: The available blockchain analytics provider may vary depending on your plan and activation settings.
* Load a wallet address into the system without screening by setting scan\_for\_risk to "false".
* Associate a wallet address with an existing account by specifying the account\_ref\_id.
* Label a wallet address as a self-hosted wallet by setting is\_self\_hosted to "true".\
  \
  To use this endpoint, you must provide the wallet address hash and the blockchain network.

<mark style="color:orange;">`bitcoin`</mark>, <mark style="color:orange;">`ethereum`</mark>, <mark style="color:orange;">`litecoin`</mark>, <mark style="color:orange;">`bitcoin-cash`</mark>, <mark style="color:orange;">`doge`</mark>, <mark style="color:orange;">`solana`</mark>, <mark style="color:orange;">`xdc`</mark>, <mark style="color:orange;">`ripple`</mark>, <mark style="color:orange;">`stellar`</mark>, <mark style="color:orange;">`algorand`</mark>, <mark style="color:orange;">`polygon`</mark>, <mark style="color:orange;">`polkadot`</mark>, <mark style="color:orange;">`tezos`</mark>, <mark style="color:orange;">`near`</mark>.

Path Parameters

| Name      | Type   | Description                                                                                                    | Required |
| --------- | ------ | -------------------------------------------------------------------------------------------------------------- | -------- |
| `chain`   | string | Blockchain network name. Example: <mark style="color:orange;">`bitcoin`</mark>                                 | True     |
| `address` | string | Unique blockchain identifier. Example: <mark style="color:orange;">`1JjYpRXfPntVEJqAjxsYmvFjjJBdJyaJ2k`</mark> | True     |

Request Body

| Name             | Type    | Description                                                                                                                                                                                               | Required |
| ---------------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------- |
| `provider_name`  | string  | Name of the blockchain risk provider to use for screening. Examples: <mark style="color:orange;">`RDBIG`</mark> (Blockchain Intelligence Group), <mark style="color:orange;">`RDCFI`</mark> (Lukka, Inc.) | False    |
| `is_self_hosted` | boolean | Indicates if the wallet address is self-hosted. Defaults to "false".                                                                                                                                      | False    |
| `scan_for_risk`  | boolean | Whether to initiate a risk scan for the provided address. Defaults to "false".                                                                                                                            | False    |
| `account_ref_id` | string  | Reference ID of the account to associate with this wallet address.                                                                                                                                        | False    |

## Self-Hosted, Account-Linked and Risk-Screened

Label an address as self-hosted, link it to an existing account, and perform risk screening using a blockchain analytics provider.

{% tabs %}
{% tab title="REQUEST" %}

```json
curl -X POST https://sandbox.ospree.io/api/v2/analytics/chains/bitcoin/addresses/1Edue8XZCWNoDBNZgnQkCCivDyr9GEo4x6

-h 'Content-Type: application/json' \
-h 'Accept: application/json' \
-h 'Authorization: ••••••' \
-d '{
	"provider_name": "RDBIG", // blockchain risk provider
	"is_self_hosted": true, // true or false
	"scan_for_risk": true, // true or false
	"account_ref_id": "CUSTOMER-234923423" 
}'
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="RESPONSE" %}

```json
{
    "status": "success",
    "data": {
        "address": "1Edue8XZCWNoDBNZgnQkCCivDyr9GEo4x6",
        "chain": "bitcoin",
        "symbol": "BTC",
        "is_self_hosted": true,
        "financial_data": {
            "balance": 0.0,
            "balance_usd": 0.0
        },
        "risk_data": [
            {
                "provider_name": "RDBIG",
                "risk_ratio": 100,
                "risk_descriptors": [
                    "Sanctioned OFAC"
                ],
                "vasp_name_legal": "",
                "vasp_name_business": "Binance,Suex.io,nexo,cryptox,",
                "vasp_website": null,
                "vasp_category": "exchange,exchange,exchange,exchange,",
                "created": "2025-04-15T17:30:38.019344"
            }
        ],
        "created": "2025-04-15T17:30:38.019344"
    },
    "message": null
}
```

{% endtab %}
{% endtabs %}

## Self-Hosted, and Account-Linked

Label an address as self-hosted, and link it to an existing account

{% tabs %}
{% tab title="REQUEST" %}

```json
curl -X POST https://sandbox.ospree.io/api/v2/analytics/chains/bitcoin/addresses/1Edue8XZCWNoDBNZgnQkCCivDyr9GEo4x6

-h 'Content-Type: application/json' \
-h 'Accept: application/json' \
-h 'Authorization: ••••••' \
-d '{
    "is_self_hosted": true, // true or false
    "scan_for_risk": false, // true or false
    "account_ref_id": "CUSTOMER-234923423"
}' 
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="RESPONSE" %}

```json
{
    "status": "success",
    "data": {
        "address": "1Edue8XZCWNoDBNZgnQkCCivDyr9GEo4x6",
        "chain": "bitcoin",
        "symbol": "BTC",
        "is_self_hosted": true,
        "financial_data": {
            "balance": 0.0,
            "balance_usd": 0.0
        },
        "risk_data": null,
        "created": "2025-04-15T17:30:38.097294+00:00"
    },
    "message": null
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ospree.io/ospree-api/blockchain-analytics/create-address.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
